%global debug_package %{nil}

%if 0%{?fedora} >= 35
%bcond_without guile30
%else
%bcond_with guile30
%endif

# This is a temporary work-around until the fixes for
# https://github.com/rpm-software-management/rpm/issues/1765 land in
# Fedora.
%global __brp_strip /bin/true

%global srcname colorized

Name:           guile-%{srcname}
Version:        0.1.20191206git1625a79f
Release:        3%{?dist}
Summary:        Colorized REPL for GNU Guile

License:        GPLv3
URL:            https://gitlab.com/NalaGinrut/guile-colorized
Source0:        https://gitlab.com/NalaGinrut/guile-colorized/-/archive/1625a79f0e31849ebd537e2a58793fb45678c58f/guile-colorized-1625a79f0e31849ebd537e2a58793fb45678c58f.tar.gz

%global _description %{expand:
Colorized REPL for GNU Guile.}

%description %_description


%package -n guile22-%{srcname}
Summary:        Colorized REPL for GNU Guile
BuildRequires:  guile22-devel
Requires:       guile22
Provides:       guile-%{srcname} = %{version}-%{release}
Obsoletes:      guile-%{srcname} <= 0.1.20191206git1625a79f-2

%description -n guile22-%{srcname} %_description


%if %{with guile30}
%package -n guile30-%{srcname}
Summary:        Colorized REPL for GNU Guile
BuildRequires:  guile30-devel
Requires:       guile30

%description -n guile30-%{srcname} %_description
%endif


%prep
%setup -qc
mv guile-colorized-1625a79f0e31849ebd537e2a58793fb45678c58f guile22

%if %{with guile30}
cp -a guile22 guile30
%endif


%build
pushd guile22
guild2.2 compile -o ice-9/colorized.go ice-9/colorized.scm
popd

%if %{with guile30}
pushd guile30
guild3.0 compile -o ice-9/colorized.go ice-9/colorized.scm
popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

pushd guile22
mkdir -p $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/ice-9
install -p -m 644 ice-9/colorized.go $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/ice-9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/ice-9
install -p -m 644 ice-9/colorized.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/ice-9
popd

%if %{with guile30}
pushd guile30
mkdir -p $RPM_BUILD_ROOT%{_libdir}/guile/3.0/site-ccache/ice-9
install -p -m 644 ice-9/colorized.go $RPM_BUILD_ROOT%{_libdir}/guile/3.0/site-ccache/ice-9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/site/3.0/ice-9
install -p -m 644 ice-9/colorized.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/3.0/ice-9
popd
%endif


%files -n guile22-%{srcname}
%license guile22/LICENSE
%doc guile22/README.md
%{_libdir}/guile/2.2/site-ccache/ice-9/colorized.go
%{_datadir}/guile/site/2.2/ice-9/colorized.scm

%if %{with guile30}
%files -n guile30-%{srcname}
%license guile30/LICENSE
%doc guile30/README.md
%{_libdir}/guile/3.0/site-ccache/ice-9/colorized.go
%{_datadir}/guile/site/3.0/ice-9/colorized.scm
%endif
